Subject: Weekly github digest (QUIC Activity Summary)

From: Repository Activity Summary Bot <[email-masked]>
Date: Sun, 1 Aug 2021 00:34:08 -0700 (PDT)

Events without label "editorial"

Issues
------
* quicwg/base-drafts (+3/-0/💬15)
  3 issues created:
  - Handling of a lost push signal (by kazuho)
    https://github.com/quicwg/base-drafts/issues/4930 
  - Disagreement in handling of unknown unidirectional stream types (by MikeBishop)
    https://github.com/quicwg/base-drafts/issues/4929 
  - Ambiguity in section 5.2.2 of RFC 9000 (by su225)
    https://github.com/quicwg/base-drafts/issues/4928 

  1 issues received 15 new comments:
  - #4930 Handling of a lost push signal (15 by LPardue, MikeBishop, RyanTheOptimist, afrind, ianswett, kazuho, tatsuhiro-t)
    https://github.com/quicwg/base-drafts/issues/4930 [-http] 

* quicwg/ops-drafts (+1/-1/💬2)
  1 issues created:
  - Ports and ALPN (by huitema)
    https://github.com/quicwg/ops-drafts/issues/393 

  1 issues received 2 new comments:
  - #393 Ports and ALPN (2 by huitema, mirjak)
    https://github.com/quicwg/ops-drafts/issues/393 

  1 issues closed:
  - Ports and ALPN https://github.com/quicwg/ops-drafts/issues/393 

* quicwg/datagram (+3/-0/💬29)
  3 issues created:
  - Please define the frame using RFC 9000 style (by LPardue)
    https://github.com/quicwg/datagram/issues/43 
  - Allow a Sender to Datagram ACKs (by nibanks)
    https://github.com/quicwg/datagram/issues/42 
  - Is it obvious that Datagram frame can be aggregated in the same QUIC packet (by gloinul)
    https://github.com/quicwg/datagram/issues/41 

  4 issues received 29 new comments:
  - #43 Please define the frame using RFC 9000 style (1 by DavidSchinazi)
    https://github.com/quicwg/datagram/issues/43 
  - #42 Allow a Sender to Control Datagram ACKs (24 by DavidSchinazi, LPardue, MikeBishop, mjoras, nibanks, wegylexy)
    https://github.com/quicwg/datagram/issues/42 
  - #41 Is it obvious that Datagram frame can be aggregated in the same QUIC packet (3 by DavidSchinazi, gloinul, tfpauly)
    https://github.com/quicwg/datagram/issues/41 
  - #35 Lack of application-defined format (1 by tfpauly)
    https://github.com/quicwg/datagram/issues/35 

* quicwg/load-balancers (+0/-3/💬12)
  3 issues received 12 new comments:
  - #127 Using AEAD IV to build nonce  (4 by martinduke, nqv)
    https://github.com/quicwg/load-balancers/issues/127 
  - #126 Same token body structure for Non-Shared-State and Shared-State (1 by martinduke)
    https://github.com/quicwg/load-balancers/issues/126 
  - #125 Retry Source Connection ID included in token (7 by huitema, martinduke, nqv)
    https://github.com/quicwg/load-balancers/issues/125 

  3 issues closed:
  - Using AEAD IV to build nonce  https://github.com/quicwg/load-balancers/issues/127 
  - Same token body structure for Non-Shared-State and Shared-State https://github.com/quicwg/load-balancers/issues/126 
  - Retry Source Connection ID included in token https://github.com/quicwg/load-balancers/issues/125 

* quicwg/version-negotiation (+0/-3/💬9)
  6 issues received 9 new comments:
  - #43 Should the client communicate version preference ordering? (1 by mjoras)
    https://github.com/quicwg/version-negotiation/issues/43 
  - #38 What does reprocess the first flight mean? (3 by DavidSchinazi, huitema)
    https://github.com/quicwg/version-negotiation/issues/38 
  - #37 Test case, authenticated handshake (1 by DavidSchinazi)
    https://github.com/quicwg/version-negotiation/issues/37 
  - #36 Domain separation requirements (1 by DavidSchinazi)
    https://github.com/quicwg/version-negotiation/issues/36 
  - #34 Need a rationale for changing the outer Version Number (1 by DavidSchinazi)
    https://github.com/quicwg/version-negotiation/issues/34 
  - #12 Define v1 and draft-29 Compatibility (2 by DavidSchinazi, nibanks)
    https://github.com/quicwg/version-negotiation/issues/12 

  3 issues closed:
  - Define v1 and draft-29 Compatibility https://github.com/quicwg/version-negotiation/issues/12 
  - Domain separation requirements https://github.com/quicwg/version-negotiation/issues/36 
  - Need a rationale for changing the outer Version Number https://github.com/quicwg/version-negotiation/issues/34 

Pull requests
-------------
* quicwg/base-drafts (+1/-0/💬1)
  1 pull requests submitted:
  - Recommend careful behavior around push streams (by MikeBishop)
    https://github.com/quicwg/base-drafts/pull/4931 

  1 pull requests received 1 new comments:
  - #4931 Recommend careful behavior around push streams (1 by LPardue)
    https://github.com/quicwg/base-drafts/pull/4931 

* quicwg/ops-drafts (+0/-0/💬6)
  1 pull requests received 6 new comments:
  - #392 Talk about source ports (6 by enygren, martinthomson, mnot)
    https://github.com/quicwg/ops-drafts/pull/392 

* quicwg/datagram (+2/-1/💬0)
  2 pull requests submitted:
  - Datagram No Ack Frame Proposal (by nibanks)
    https://github.com/quicwg/datagram/pull/45 
  - Datagram No Ack TP Proposal (by nibanks)
    https://github.com/quicwg/datagram/pull/44 

  1 pull requests merged:
  - Acknowledge Victor
    https://github.com/quicwg/datagram/pull/40 

* quicwg/version-negotiation (+0/-4/💬0)
  4 pull requests merged:
  - Edits to Retry text
    https://github.com/quicwg/version-negotiation/pull/52 
  - Don't choose the oldest
    https://github.com/quicwg/version-negotiation/pull/51 
  - Tweak the intro
    https://github.com/quicwg/version-negotiation/pull/50 
  - Client validation
    https://github.com/quicwg/version-negotiation/pull/49 

Repositories tracked by this digest:
-----------------------------------
* https://github.com/quicwg/base-drafts
* https://github.com/quicwg/ops-drafts
* https://github.com/quicwg/datagram
* https://github.com/quicwg/load-balancers
* https://github.com/quicwg/version-negotiation
* https://github.com/quicwg/quic-bit-grease
* https://github.com/quicwg/qlog